Skip to main content
GET

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:2026-07
required

Required date-based version header

Path Parameters

job_id
string
required

The ID of the restore job to describe.

Response

Configuration information and deployment status of the restore job.

The RestoreJobModel describes the status of a restore job.

restore_job_id
string
required

Unique identifier for the restore job

Example:

"670e8400-e29b-41d4-a716-446655440001"

backup_id
string
required

Backup used for the restore

Example:

"670e8400-e29b-41d4-a716-446655440000"

target_index_name
string
required

Name of the index into which data is being restored

Example:

"sample-index"

target_index_id
string
required

ID of the index

Example:

"670e8400-e29b-41d4-a716-446655440002"

status
string
required

Status of the restore job. Possible values: Pending, Completed, Failed, or Cancelled.

Example:

"Completed"

created_at
string<date-time> | null
required

Timestamp when the restore job started

Example:

"2025-02-04T13:00:00.000Z"

completed_at
string<date-time> | null

Timestamp when the restore job finished. null until the job has completed.

Example:

"2025-02-04T14:00:00.000Z"

percent_complete
integer<int32>

Progress of the restore job: 100 once the job is Completed, absent while it is pending or after it has failed. Intermediate progress is not reported.

Required range: 0 <= x <= 100
Example:

100